## authentic2-supann 0.33.0~ee100+1

=== debian/changelog ===
authentic2-supann (0.33.0~ee100+1) buster-ee; urgency=medium

  * Update Renater metadata URLs

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Mon, 09 Feb 2026 14:23:18 +0100

authentic2-supann (0.32.0~ee100+1) buster-ee; urgency=medium

  * Add init-oidc-idp.py script
  * Cleanup debian packaging files
  * Fix common problem about session & CSRF cookies

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Thu, 06 Jun 2024 15:16:54 +0200

authentic2-supann (0.31.0~ee100+1) buster-ee; urgency=medium

  * Add log file for load-multiple-federations.sh cron
  * load-multiple-federations.sh: Fix deprecated warning about tempfile

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Wed, 05 Jun 2024 17:46:59 +0200

authentic2-supann (0.30.0~ee100+1) buster-ee; urgency=medium

  * Code cleaning and introduce some pre-commit hooks and CI tests

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Wed, 05 Jun 2024 15:57:26 +0200

authentic2-supann (0.29~ee100+1) buster-ee; urgency=medium

  * Improve Gitlab CI
  * Fix reference to DjangoRBACBackend auth backend
  * Configure for eduPersonTargetedId generation
  * Fix edupersonscopedaffiliation attribute name casse
  * First commited version by EE

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Tue, 29 Nov 2022 11:09:00 +0100

authentic2-supann (0.28~ee100+1) buster-ee; urgency=medium

  * update-renater-meta.sh: change authentic2-ctl to authentic2-manage (#50647)

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Fri, 29 Jan 2021 15:29:19 +0100

authentic2-supann (0.27~ee100+1) buster-ee; urgency=medium

  * misc: update settings for py3 and move then into settings.d

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Thu, 19 Nov 2020 18:20:07 +0100

authentic2-supann (0.26~ee100+1) buster-ee; urgency=medium

  * mise à jour de l'URL des métadonnées edugain

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Mon, 11 Jun 2018 15:40:46 +0200

authentic2-supann (0.25~ee100+1) buster-ee; urgency=medium

  * load-multiple-federations.sh: supprime les fichiers temporaires (fixes
    #21692)

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Wed, 07 Feb 2018 16:40:04 +0100

authentic2-supann (0.24~ee100+1) buster-ee; urgency=medium

  * load multiple federation files (#19400)

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Wed, 22 Nov 2017 14:39:37 +0100

authentic2-supann (0.23~ee100+1) buster-ee; urgency=medium

  * config.py: fix eduPersonTargetedId generation

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Fri, 20 Oct 2017 17:04:59 +0200

authentic2-supann (0.22~ee100+1) buster-ee; urgency=medium

  * config.py: implement eduPersonTargetedId

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Fri, 20 Oct 2017 16:28:53 +0200

authentic2-supann (0.21~ee100+1) buster-ee; urgency=medium

  * rewrite package target since debian/ is not in a separate branch anymore
  * apply renater metadata update of 01/2017

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Mon, 06 Feb 2017 11:33:04 +0100

authentic2-supann (0.20~ee100+1) buster-ee; urgency=medium

  * fix path to authentic2-ctl

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Mon, 11 Jul 2016 15:09:44 +0200

authentic2-supann (0.19~ee100+1) buster-ee; urgency=medium

  * set timeout to 30s and tries to 3 in update-renater-meta.sh

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Mon, 11 Jul 2016 14:01:06 +0200

authentic2-supann (0.18~ee100+1) buster-ee; urgency=medium

  * debian: send cron errors to root
  * update-renater-meta.sh: adapt to change in authentic2 init.d script
  * add support for SESSION_COOKIE_AGE in supann.conf

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Mon, 11 Jul 2016 13:13:51 +0200

authentic2-supann (0.17~ee100+1) buster-ee; urgency=medium

  * improve slo support flag
  * allow choosing to support SLO or not
  * Add support for non-supann LDAP attributes (fixes #11010)
  * add timeouts on wget in update-renater-meta.sh cron script
  * fix typo in apache config

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Tue, 31 May 2016 15:24:04 +0200

authentic2-supann (0.16~ee100+1) buster-ee; urgency=medium

  * adap apache2 configuration for apache 2.4
  * remove transient from authentic2 ldap config

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Tue, 15 Mar 2016 01:33:53 +0100

authentic2-supann (0.15~ee100+1) buster-ee; urgency=medium

  * Fix fixture in update-renater-meta.sh

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Wed, 01 Jul 2015 10:32:37 +0200

authentic2-supann (0.14~ee100+1) buster-ee; urgency=medium

  * config.py: add RBAC backends to authorized backends

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Mon, 29 Jun 2015 17:06:47 +0200

authentic2-supann (0.13~ee100+1) buster-ee; urgency=medium

  * Fix wrong path for authentication backend (fixes #7693)
  * Add 'debian/' from commit 'e5323f579f7b3707c06395adb32095e4982f9b10'

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Mon, 29 Jun 2015 12:02:11 +0200

authentic2-supann (0.12~ee100+1) buster-ee; urgency=medium

  * Add DEBUG key to supann.conf

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Thu, 02 Apr 2015 15:59:10 +0200

authentic2-supann (0.11~ee100+1) buster-ee; urgency=medium



## authentic2-supann 0.33.0~ee110+1

=== debian/changelog ===
authentic2-supann (0.33.0~ee110+1) bullseye-ee; urgency=medium

  * Update Renater metadata URLs

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Mon, 09 Feb 2026 14:23:18 +0100

authentic2-supann (0.32.0~ee110+1) bullseye-ee; urgency=medium

  * Add init-oidc-idp.py script
  * Cleanup debian packaging files
  * Fix common problem about session & CSRF cookies

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Thu, 06 Jun 2024 15:16:54 +0200

authentic2-supann (0.31.0~ee110+1) bullseye-ee; urgency=medium

  * Add log file for load-multiple-federations.sh cron
  * load-multiple-federations.sh: Fix deprecated warning about tempfile

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Wed, 05 Jun 2024 17:46:59 +0200

authentic2-supann (0.30.0~ee110+1) bullseye-ee; urgency=medium

  * Code cleaning and introduce some pre-commit hooks and CI tests

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Wed, 05 Jun 2024 15:57:26 +0200

authentic2-supann (0.29~ee110+1) bullseye-ee; urgency=medium

  * Improve Gitlab CI
  * Fix reference to DjangoRBACBackend auth backend
  * Configure for eduPersonTargetedId generation
  * Fix edupersonscopedaffiliation attribute name casse
  * First commited version by EE

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Tue, 29 Nov 2022 11:09:00 +0100

authentic2-supann (0.28~ee110+1) bullseye-ee; urgency=medium

  * update-renater-meta.sh: change authentic2-ctl to authentic2-manage (#50647)

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Fri, 29 Jan 2021 15:29:19 +0100

authentic2-supann (0.27~ee110+1) bullseye-ee; urgency=medium

  * misc: update settings for py3 and move then into settings.d

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Thu, 19 Nov 2020 18:20:07 +0100

authentic2-supann (0.26~ee110+1) bullseye-ee; urgency=medium

  * mise à jour de l'URL des métadonnées edugain

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Mon, 11 Jun 2018 15:40:46 +0200

authentic2-supann (0.25~ee110+1) bullseye-ee; urgency=medium

  * load-multiple-federations.sh: supprime les fichiers temporaires (fixes
    #21692)

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Wed, 07 Feb 2018 16:40:04 +0100

authentic2-supann (0.24~ee110+1) bullseye-ee; urgency=medium

  * load multiple federation files (#19400)

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Wed, 22 Nov 2017 14:39:37 +0100

authentic2-supann (0.23~ee110+1) bullseye-ee; urgency=medium

  * config.py: fix eduPersonTargetedId generation

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Fri, 20 Oct 2017 17:04:59 +0200

authentic2-supann (0.22~ee110+1) bullseye-ee; urgency=medium

  * config.py: implement eduPersonTargetedId

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Fri, 20 Oct 2017 16:28:53 +0200

authentic2-supann (0.21~ee110+1) bullseye-ee; urgency=medium

  * rewrite package target since debian/ is not in a separate branch anymore
  * apply renater metadata update of 01/2017

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Mon, 06 Feb 2017 11:33:04 +0100

authentic2-supann (0.20~ee110+1) bullseye-ee; urgency=medium

  * fix path to authentic2-ctl

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Mon, 11 Jul 2016 15:09:44 +0200

authentic2-supann (0.19~ee110+1) bullseye-ee; urgency=medium

  * set timeout to 30s and tries to 3 in update-renater-meta.sh

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Mon, 11 Jul 2016 14:01:06 +0200

authentic2-supann (0.18~ee110+1) bullseye-ee; urgency=medium

  * debian: send cron errors to root
  * update-renater-meta.sh: adapt to change in authentic2 init.d script
  * add support for SESSION_COOKIE_AGE in supann.conf

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Mon, 11 Jul 2016 13:13:51 +0200

authentic2-supann (0.17~ee110+1) bullseye-ee; urgency=medium

  * improve slo support flag
  * allow choosing to support SLO or not
  * Add support for non-supann LDAP attributes (fixes #11010)
  * add timeouts on wget in update-renater-meta.sh cron script
  * fix typo in apache config

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Tue, 31 May 2016 15:24:04 +0200

authentic2-supann (0.16~ee110+1) bullseye-ee; urgency=medium

  * adap apache2 configuration for apache 2.4
  * remove transient from authentic2 ldap config

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Tue, 15 Mar 2016 01:33:53 +0100

authentic2-supann (0.15~ee110+1) bullseye-ee; urgency=medium

  * Fix fixture in update-renater-meta.sh

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Wed, 01 Jul 2015 10:32:37 +0200

authentic2-supann (0.14~ee110+1) bullseye-ee; urgency=medium

  * config.py: add RBAC backends to authorized backends

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Mon, 29 Jun 2015 17:06:47 +0200

authentic2-supann (0.13~ee110+1) bullseye-ee; urgency=medium

  * Fix wrong path for authentication backend (fixes #7693)
  * Add 'debian/' from commit 'e5323f579f7b3707c06395adb32095e4982f9b10'

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Mon, 29 Jun 2015 12:02:11 +0200

authentic2-supann (0.12~ee110+1) bullseye-ee; urgency=medium

  * Add DEBUG key to supann.conf

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Thu, 02 Apr 2015 15:59:10 +0200

authentic2-supann (0.11~ee110+1) bullseye-ee; urgency=medium



## authentic2-supann 0.33.0~ee120+1

=== Makefile ===
NAME=authentic2-supann
VERSION=`git describe | tr - . | cut -c2-`
FULLNAME=$(NAME)-$(VERSION)

.PHONY: dist-bzip2

all:

install:

uninstall:

dist-bzip2:
	rm -rf build dist
	mkdir -p build/$(FULLNAME) sdist
	for i in *; do \
		if [ "$$i" != "build" ]; then \
			cp -R "$$i" build/$(NAME)-$(VERSION); \
		fi; \
	done
	cd build && tar cfj ../sdist/$(FULLNAME).tar.bz2 .
	rm -rf build

clean:
	rm -rf sdist build

version:
	@(echo $(VERSION))

name:
	@(echo $(NAME))

fullname:
	@(echo $(FULLNAME))

package:
	make dist-bzip2
	cd sdist; mv $(FULLNAME).tar.bz2 $(NAME)_$(VERSION).orig.tar.bz2; tar xvjf $(NAME)_$(VERSION).orig.tar.bz2
	cp -R debian sdist/$(FULLNAME)/
	cd sdist/$(FULLNAME); dpkg-buildpackage -uc -us
	rm -rf sdist/$(FULLNAME)

=== debian/changelog ===
authentic2-supann (0.33.0~ee120+1) bookworm-ee; urgency=medium

  * Update Renater metadata URLs

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Mon, 09 Feb 2026 14:23:18 +0100

authentic2-supann (0.32.0~ee120+1) bookworm-ee; urgency=medium

  * Add init-oidc-idp.py script
  * Cleanup debian packaging files
  * Fix common problem about session & CSRF cookies

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Thu, 06 Jun 2024 15:16:54 +0200

authentic2-supann (0.31.0~ee120+1) bookworm-ee; urgency=medium

  * Add log file for load-multiple-federations.sh cron
  * load-multiple-federations.sh: Fix deprecated warning about tempfile

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Wed, 05 Jun 2024 17:46:59 +0200

authentic2-supann (0.30.0~ee120+1) bookworm-ee; urgency=medium

  * Code cleaning and introduce some pre-commit hooks and CI tests

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Wed, 05 Jun 2024 15:57:26 +0200

authentic2-supann (0.29~ee120+1) bookworm-ee; urgency=medium

  * Improve Gitlab CI
  * Fix reference to DjangoRBACBackend auth backend
  * Configure for eduPersonTargetedId generation
  * Fix edupersonscopedaffiliation attribute name casse
  * First commited version by EE

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Tue, 29 Nov 2022 11:09:00 +0100

authentic2-supann (0.28~ee120+1) bookworm-ee; urgency=medium

  * update-renater-meta.sh: change authentic2-ctl to authentic2-manage (#50647)

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Fri, 29 Jan 2021 15:29:19 +0100

authentic2-supann (0.27~ee120+1) bookworm-ee; urgency=medium

  * misc: update settings for py3 and move then into settings.d

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Thu, 19 Nov 2020 18:20:07 +0100

authentic2-supann (0.26~ee120+1) bookworm-ee; urgency=medium

  * mise à jour de l'URL des métadonnées edugain

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Mon, 11 Jun 2018 15:40:46 +0200

authentic2-supann (0.25~ee120+1) bookworm-ee; urgency=medium

  * load-multiple-federations.sh: supprime les fichiers temporaires (fixes
    #21692)

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Wed, 07 Feb 2018 16:40:04 +0100

authentic2-supann (0.24~ee120+1) bookworm-ee; urgency=medium

  * load multiple federation files (#19400)

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Wed, 22 Nov 2017 14:39:37 +0100

authentic2-supann (0.23~ee120+1) bookworm-ee; urgency=medium

  * config.py: fix eduPersonTargetedId generation

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Fri, 20 Oct 2017 17:04:59 +0200

authentic2-supann (0.22~ee120+1) bookworm-ee; urgency=medium

  * config.py: implement eduPersonTargetedId

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Fri, 20 Oct 2017 16:28:53 +0200

authentic2-supann (0.21~ee120+1) bookworm-ee; urgency=medium

  * rewrite package target since debian/ is not in a separate branch anymore
  * apply renater metadata update of 01/2017

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Mon, 06 Feb 2017 11:33:04 +0100

authentic2-supann (0.20~ee120+1) bookworm-ee; urgency=medium

  * fix path to authentic2-ctl

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Mon, 11 Jul 2016 15:09:44 +0200

authentic2-supann (0.19~ee120+1) bookworm-ee; urgency=medium

  * set timeout to 30s and tries to 3 in update-renater-meta.sh

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Mon, 11 Jul 2016 14:01:06 +0200

authentic2-supann (0.18~ee120+1) bookworm-ee; urgency=medium

  * debian: send cron errors to root
  * update-renater-meta.sh: adapt to change in authentic2 init.d script
  * add support for SESSION_COOKIE_AGE in supann.conf

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Mon, 11 Jul 2016 13:13:51 +0200

authentic2-supann (0.17~ee120+1) bookworm-ee; urgency=medium

  * improve slo support flag
  * allow choosing to support SLO or not
  * Add support for non-supann LDAP attributes (fixes #11010)
  * add timeouts on wget in update-renater-meta.sh cron script
  * fix typo in apache config

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Tue, 31 May 2016 15:24:04 +0200

authentic2-supann (0.16~ee120+1) bookworm-ee; urgency=medium

  * adap apache2 configuration for apache 2.4
  * remove transient from authentic2 ldap config

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Tue, 15 Mar 2016 01:33:53 +0100

authentic2-supann (0.15~ee120+1) bookworm-ee; urgency=medium

  * Fix fixture in update-renater-meta.sh

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Wed, 01 Jul 2015 10:32:37 +0200

authentic2-supann (0.14~ee120+1) bookworm-ee; urgency=medium

  * config.py: add RBAC backends to authorized backends

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Mon, 29 Jun 2015 17:06:47 +0200

authentic2-supann (0.13~ee120+1) bookworm-ee; urgency=medium

  * Fix wrong path for authentication backend (fixes #7693)
  * Add 'debian/' from commit 'e5323f579f7b3707c06395adb32095e4982f9b10'

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Mon, 29 Jun 2015 12:02:11 +0200

authentic2-supann (0.12~ee120+1) bookworm-ee; urgency=medium

  * Add DEBUG key to supann.conf

 -- APT Easter-eggs - authentic2-supann <support+authentic2-supann@easter-eggs.com>  Thu, 02 Apr 2015 15:59:10 +0200

authentic2-supann (0.11~ee120+1) bookworm-ee; urgency=medium



=== debian/control ===
Source: authentic2-supann
Section: admin
Priority: extra
Build-Depends: debhelper
Maintainer: Benjamin Renard <brenard@easter-eggs.com>

Package: authentic2-supann
Architecture: all
Depends: authentic2, apache2, wget, libxml2-utils, xmlsec1, python3-jwcrypto
Pre-Depends: postgresql
Description:  adaptations and basic configuration for using authentic2 on a SUPANN directory
